From: Junio C Hamano <gitster@pobox.com>
To: git@vger.kernel.org
Subject: [PATCH] t0008: make test "set -e" clean
Date: Tue, 24 Mar 2026 11:20:55 -0700 [thread overview]
Message-ID: <xmqqh5q5ytq0.fsf_-_@gitster.g> (raw)
In-Reply-To: <xmqqcy0t178a.fsf_-_@gitster.g> (Junio C. Hamano's message of "Tue, 24 Mar 2026 10:13:09 -0700")
In order to catch mistakes like misspelling "test_expect_success",
we would like to eventually be able to run our test suite with the
"-e" option on.
A piece of script used "grep" to filter out its input purely for its
output, but of course, "grep" reports with its exit value when it
did not see any hits, which didn't mesh quite well with "set -e".
Signed-off-by: Junio C Hamano <gitster@pobox.com>
---
t/t0008-ignores.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git i/t/t0008-ignores.sh w/t/t0008-ignores.sh
index db8bde280e..8edb08d9c2 100755
--- i/t/t0008-ignores.sh
+++ w/t/t0008-ignores.sh
@@ -122,7 +122,7 @@ test_expect_success_multiple () {
fi
testname="$1" expect_all="$2" code="$3"
- expect_verbose=$( echo "$expect_all" | grep -v '^:: ' )
+ expect_verbose=$( echo "$expect_all" | grep -v '^:: ' ) || :
expect=$( echo "$expect_verbose" | sed -e 's/.* //' )
test_expect_success $prereq "$testname${no_index_opt:+ with $no_index_opt}" '
next prev parent reply other threads:[~2026-03-24 18:20 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2026-03-24 14:52 [PATCH] t4014: fix call to `test_expect_success ()` Patrick Steinhardt
2026-03-24 15:18 ` Mirko Faina
2026-03-24 15:38 ` Junio C Hamano
2026-03-24 15:48 ` Mirko Faina
2026-03-24 16:39 ` Junio C Hamano
2026-03-24 17:13 ` Re* " Junio C Hamano
2026-03-24 18:05 ` [PATCH] t6002: make test "set -e" clean Junio C Hamano
2026-03-24 18:13 ` [PATCH] test-lib: catch misspelt 'test_expect_successo' Junio C Hamano
2026-03-24 19:35 ` Jeff King
2026-03-24 19:48 ` Junio C Hamano
2026-03-25 5:46 ` Jeff King
2026-03-24 18:20 ` Junio C Hamano [this message]
2026-03-24 18:32 ` [PATCH] t7450: make test "set -e" clean Junio C Hamano
2026-03-24 18:38 ` Eric Sunshine
2026-03-24 19:03 ` Junio C Hamano
2026-03-25 7:07 ` Re* [PATCH] t4014: fix call to `test_expect_success ()` Patrick Steinhardt
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=xmqqh5q5ytq0.fsf_-_@gitster.g \
--to=gitster@pobox.com \
--cc=git@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox